libzypp: zypp::media::MountEntry Struct Reference

libzypp 17.38.11

zypp::media::MountEntry Struct Reference

A "struct mntent" like mount entry structure, but using std::strings. More...

`#include <zypp-media/mount.h>`

## Public Member Functions
| MountEntry (std::string source, std::string target, std::string fstype, std::string options, const int dumpfreq=0, const int passnum=0)
bool | isBlockDevice () const
| Returns true if the src part points to a block device in /dev.

## Public Attributes
std::string | src
| name of mounted file system
std::string | dir
| file system path prefix
std::string | type
| filesystem / mount type
std::string | opts
| mount options
int | freq
| dump frequency in days
int | pass
| pass number on parallel fsck

## Detailed Description

A "struct mntent" like mount entry structure, but using std::strings.

Definition at line 35 of file mount.h.

## Constructor & Destructor Documentation

## ◆ MountEntry()

zypp::media::MountEntry::MountEntry | ( | std::string | source,
|  | std::string | target,
|  | std::string | fstype,
|  | std::string | options,
|  | const int | dumpfreq = 0,
|  | const int | passnum = 0 )
| inline

Definition at line 37 of file mount.h.

## Member Function Documentation

## ◆ isBlockDevice()

bool zypp::media::MountEntry::isBlockDevice | ( |  | ) | const

Returns true if the src part points to a block device in /dev.

Definition at line 50 of file mount.cc.

## Member Data Documentation

## ◆ src

std::string zypp::media::MountEntry::src

name of mounted file system

Definition at line 56 of file mount.h.

## ◆ dir

std::string zypp::media::MountEntry::dir

file system path prefix

Definition at line 57 of file mount.h.

## ◆ type

std::string zypp::media::MountEntry::type

filesystem / mount type

Definition at line 58 of file mount.h.

## ◆ opts

std::string zypp::media::MountEntry::opts

mount options

Definition at line 59 of file mount.h.

## ◆ freq

int zypp::media::MountEntry::freq

dump frequency in days

Definition at line 60 of file mount.h.

## ◆ pass

int zypp::media::MountEntry::pass

pass number on parallel fsck

Definition at line 61 of file mount.h.

The documentation for this struct was generated from the following files:

- zypp-media/mount.h
- zypp-media/mount.cc